summaryrefslogtreecommitdiff
path: root/tests/mv/i-4
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-03-11 09:37:15 +0000
committerJim Meyering <jim@meyering.net>2005-03-11 09:37:15 +0000
commit5dd8c8ca32e30dc08af94948795677c622dc613d (patch)
tree945a113c149cfc71a6ac5d490f3ea1967bb4ed6c /tests/mv/i-4
parentc2bd74fceaa979a9c048e2b5e72819956114ec8c (diff)
downloadcoreutils-5dd8c8ca32e30dc08af94948795677c622dc613d.tar.xz
Add tests for this:
Prompt once again for `mv -i A B' when A and B are hard links to the same file. This fixes a bug introduced by my 2003-04-04 (coreutils-5.0.1) change.
Diffstat (limited to 'tests/mv/i-4')
-rwxr-xr-xtests/mv/i-414
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/mv/i-4 b/tests/mv/i-4
index d0ee9fcd0..8de127c38 100755
--- a/tests/mv/i-4
+++ b/tests/mv/i-4
@@ -38,4 +38,18 @@ case "`cat b`" in
*) fail=1 ;;
esac
+# Ensure that mv -i a b works properly with `n' and `y'
+# responses, even when a and b are hard links to the same file.
+# This `n' test would fail (no prompt) for coreutils-5.0.1 through 5.3.0.
+echo n > n
+rm -f a b
+echo a > a
+ln a b
+mv -i a b < n >/dev/null 2>&1 || fail=1
+test -r a || fail=1
+test -r b || fail=1
+mv -i a b < y >/dev/null 2>&1 || fail=1
+test -r a && fail=1
+test -r b || fail=1
+
exit $fail